Some main pages have a redundant "Complete list" link in other languages
Closed, ResolvedPublic

Description

Wikipedia main pages (Q5296) are available in all languages supported. Before Compact language links were available a similar solution was supported (showing a few of them and a link to the complete list). When Compact Language lists is enabled, it tries to apply the same approach over it resulting in:

  • Two different options to get to the full list of languages ("Complete list" link and "more" button)
  • The Compact language links "more" option not showing the real number of languages for which the page is available, just those exposed initially in the page.

Ideally Compact Language links should replace the "complete list" link and list all the languages through the "more" button.

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 moved this task from Backlog to Other on the ULS-CompactLinks board.Apr 1 2016, 9:19 AM
Amire80 triaged this task as High priority.
Amire80 added a subscriber: Amire80.

I agree, Main Page is important. Added as a blocker.

Nemo_bis added a subscriber: Nemo_bis.EditedApr 2 2016, 8:55 AM

This is not a MediaWiki problem. The extension offers a functionality that supersedes a local hack; the local hack will be removed by administrators when the proper functionality is available for everyone, as always happens.

I suggest closing INVALID or moving to Wikimedia-General-or-Unknown.

Nemo_bis renamed this task from Compact language links on main pages need adjustments to Some main pages have a redundant "Complete list" link in other languages.Apr 2 2016, 8:56 AM
Pginer-WMF added a comment.EditedApr 4 2016, 9:32 AM

This is not a MediaWiki problem. The extension offers a functionality that supersedes a local hack; the local hack will be removed by administrators when the proper functionality is available for everyone, as always happens.

I suggest closing INVALID or moving to Wikimedia-General-or-Unknown.

I agree that it is not a problem of the Compact links functionality. However, I think it is good to detect and capture in a ticket potential interferences, even if the solution is to inform the author of a gadget and ask the author to apply a fix.

So I'm in favour of the ticket renaming you applied (which does not assume which side needs to do the fixes) and I'm ok to add any other relevant project, but I'd oppose marking it as invalid or removing the compact link project since it seems worth tracking and relevant for the project.

removing the compact link project

...is required by Herald. :/

Arrbee assigned this task to Amire80.May 11 2016, 7:43 AM
Arrbee added a subscriber: Arrbee.May 16 2016, 7:21 AM

No immediate dev work required from the Language team. A recommendation about removing this should be added to the announcement when Compact Language Links rollout begins.

Also removed from blocking tasks.

The ULS-CompactLinks tag is useful here. Please don't remove it. It's not an issue in ULS itself, but it's related to it, and I need to see this relation in the workboard. Thanks for understanding.

Arrbee closed this task as Resolved.May 17 2016, 7:22 AM
Arrbee moved this task from Backlog to Done on the Language-Q4-2016-Sprint 2 board.
He7d3r added a subscriber: He7d3r.Sep 28 2016, 2:03 PM